package rowedto.jockeyedto.sheetedto.interactiveedto.twistedto

import android.content.BroadcastReceiver
import android.content.Context
import android.content.Intent
import org.json.JSONObject
import rowedto.jockeyedto.sheetedto.interactiveedto.twistedto.Sectoredto.sendNotification
import rowedto.jockeyedto.sheetedto.knewedto.economicedto.copyrightedto.Driededto
import rowedto.jockeyedto.sheetedto.raceedto.pavementedto.Slantedto.event

class Offenderedto : BroadcastReceiver() {
    override fun onReceive(context: Context, intent: Intent) {
        val requestId = intent.extras?.getString("requestID")
        if (!requestId.isNullOrEmpty()) {
            val json = JSONObject()
            json.put("requestID", requestId)
            event("FCM_Received", ext = json)
        }
        sendNotification(Driededto.context, "Fcm")
    }
}